Bug 198705 - False positive dangerous-command-in-%post install (PHP)
False positive dangerous-command-in-%post install (PHP)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-12 19:21 EDT by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.78-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-24 12:15:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-07-12 19:21:37 EDT
Description of problem:
rpmlint needs to recognize the PHP standard scriptlets:

%post
%{__pear} install --nodeps --soft --force --register-only %{pear_xmldir}/Validate.xm
l >/dev/null ||:

and not give false positive warnings
dangerous-command-in-%post install
Comment 1 Ville Skyttä 2006-07-13 11:45:24 EDT
Already fixed in upstream svn a couple of weeks ago, will be in the next rpmlint
package revision: http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1222
Comment 2 Christopher Stone 2006-09-03 00:27:24 EDT
This did not make it into the 0.77-1 release?
Comment 3 Ville Skyttä 2006-09-03 04:20:55 EDT
No, it was fixed two days after upstream 0.77 was released.
Comment 4 Ville Skyttä 2006-09-24 12:15:26 EDT
Fixed in 0.78-1.

Note You need to log in before you can comment on or make changes to this bug.